<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title></title>
    <meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
    <!--css引用--->
    <link href="../../Content/Default/jquery-ui-1.8.10.custom.css" rel="stylesheet" type="text/css" />
    <link href="../../Content/Default/ui.jqgrid.css" rel="stylesheet" type="text/css" />
    <link href="../../Content/Default/combo.css" rel="stylesheet" type="text/css" />
    <link href="../../Content/Default/combobox.css" rel="stylesheet" type="text/css" />
    <link href="../../Content/style.css" rel="stylesheet" type="text/css" />
    <!--脚本引用-->
    <script src="../../Scripts/lib/jquery-1.4.4.min.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/jquery-ui-1.8.10.custom.min.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/grid.locale-cn.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/jquery.jqGrid.min.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/jquery.layoutpanel.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/jquery.combo_ciho.js" type="text/javascript"></script>
    <script src="../../Scripts/lib/jquery.combobox.js" type="text/javascript"></script>    
    <script src="../../Scripts/lib/jquery.autonum.min.js" type="text/javascript"></script>
    <script src="../../Scripts/msg.js" type="text/javascript"></script>
    <script src="../../Scripts/msgBox.js" type="text/javascript"></script>
    <script src="../../Scripts/common.js" type="text/javascript"></script>
    <script src="../../Scripts/page.js" type="text/javascript"></script>
    <script src="../../Scripts/05/p0505.js" type="text/javascript"></script>
    <script src="../../Scripts/05/p050501.js" type="text/javascript"></script>
    <script src="../../Scripts/05/p050605.js" type="text/javascript"></script>
    <script type="text/javascript">
        var bLoadComplete = false;
        $(function () {
            //转换下拉框控件类型
            strTableNameP0505 = "Tp0505";
            $("#cmbDateExtentP0505").combobox();
            $("#cmbFykmP0505").combobox();
            $("#cmbKhDataP0505").combobox();
            $("#cmbCzyP0505").combobox();
            $("#cmbObjP0505").combobox();
            //修改combobox下拉箭头的样式。
            addArrowClass();
            inputAndBindData("dateStartTimeP0505", false, null, dateTimeChange_P0505);
            inputAndBindData("dateEndTimeP0505", false, null, dateTimeChange_P0505);
            //页面加载方法
            pageLoad_P0505();
            //改变窗口大小时，改变表格的高度和宽度。
            window.onresize = function () {
                //隐藏浮动层
                $(".operate").hide();
                resizeGrid(strTableNameP0505, true, true);
                resizeGridScroll(strTableNameP0505);
            }
            bLoadComplete = true;
        });
        function refreshInfos(obj) {
            if (obj && obj.page && obj.flag) {
                if (obj.page == "p0506" && obj.flag == "1") {
                    var objFykm = ParseData(window.external.DoOptions(strTableP0505, "GetComboBoxData", "{'fb':'2'}")).Records;
                    if (objFykm == "{}") {
                        objFykm = [];
                    }
                    objFykm.unshift({ "kmdm": "", "kmmc": "全部费用科目", "selected": true });
                    $("#cmbFykmP0505").combobox("loadData", objFykm);
                    objFykm = {};

                    var objFyjsr = window.external.DoOptions(strTableP0505, "GetComboBoxData", "{'fb':'1'}");
                    if (objFyjsr) {
                        var objFyjsrdm = ParseData(objFyjsr);
                    }
                    objFyjsrdm.Records.unshift({ "jsrdm": "", "jsrmc": "全部费用经手人", "selected": true });
                    $("#cmbCzyP0505").combobox("loadData", objFyjsrdm.Records);
                    objFyjsr = {};
                    objFyjsrdm = {};

                    var objRet = window.external.DoOptions(strTableP0505, "GetComboBoxData", "{'fb':'3'}");
                    if (objRet) {
                        var objYtdx = ParseData(objRet);
                        objYtdx.Records.unshift({ "ytdx": "", "ytdxmc": "全部预提对象", "selected": true });
                        $("#cmbObjP0505").combobox("loadData", objYtdx.Records);
                    }
                    objRet = {};
                    objYtdx = {};
                }
                if (obj.page == "p0506" && obj.flag == "2") {
                    $("#" + strTableP0505).clearGridData();
                    searchData_P0505();
                }
            }
        }
        function refreshMyCombobox(strModels) {     //基本资料有更新，刷新combobox
            for (var i = 0; i < strModels.length; i++) {
                var data;
                if (strModels[i] == "Tkhxx") {
                    data = getComboboxData(strModels[i] + "2");
                    data.unshift({ dm: "", mc: "全部客户" });
                    reLoadCombobox("cmbKhDataP0505", data);
                }
            }
        }
    </script>
</head>
<body>
    <div class="title_bar">
        <div class="topi">
            <div class="column">
                <div id="added">
                    <ul class="topnav">
                        <li><a href="#" onclick=" javascript:window.parent.add('预提规则设置管理', '05/p0506.htm', '506');">规则设置</a>
                            <ul class="addnav">
                                <li><a href="#" onclick="showDialog_P050605('1')">预提余额结转</a></li>
                            </ul>
                        </li>
                    </ul>
                </div>
                <div class="dedt">
                    <ul>
                        <li> 
                            <select id="cmbDateExtentP0505" class="easyui-combobox">
                            </select>
                        </li>
                        <li class="inp_100">
                            <input id="dateStartTimeP0505" type="text" style=" text-align: center"
                                onchange="dateTimeChange_P0505()" />
                                <font class="text_hx">&nbsp;&nbsp;</font>
                            <input id="dateEndTimeP0505" type="text" style=" text-align: center"
                                onchange="dateTimeChange_P0505()" />
                        </li>
                        <li>
                            <select id="cmbFykmP0505" class="easyui-combobox" style="width: 120px"></select>
                        </li>
                        <li>
                            <select id="cmbKhDataP0505" class="easyui-combobox" style="width: 120px"></select>
                        </li>
                        <li>
                             <select id="cmbCzyP0505" class="easyui-combobox" style="width: 120px"></select>
                        </li>
                         <li>
                             <select id="cmbObjP0505" class="easyui-combobox" style="width: 120px"></select>
                        </li>
                        <li class="enter"><a href="#" id="btnSearchData" class="buttonSearch" onclick="searchData_P0505()">查询</a></li>
                    </ul>
                </div>
                <div class="clr">
                </div>
            </div>
        </div>
        <div class="clr">
        </div>
    </div>
    <div class="mation">
        <div class="mation_div">
            <table id="Tp0505">
            </table>
        </div>
        <!--分页使用层-->
        <div id="divPageP0505" class="Page"></div>
     </div>
    
    <!-- 弹出窗口使用层 -->
    <div id="divP0505"></div>
    <div id="divP050501"></div>    
</body>
</html>

